DeluxHostAPI Reference
Payments & payment methods

Get Viva recurring payment status

GET
/v1/viva/recurring

Authorization

apiToken billing:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: billing:read

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
available*boolean
active*boolean
last4?string
since?string
Formatdate-time
curl -X GET 'https://api.deluxhost.net/v1/viva/recurring' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "available": true,  "active": true,  "last4": "string",  "since": "2019-08-24T14:15:22Z"}